Bug 87872 - [Qt] Implement a shim layer to wrap v8 behind the JavaScriptCore API
Summary: [Qt] Implement a shim layer to wrap v8 behind the JavaScriptCore API
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Balazs Kelemen
URL:
Keywords:
Depends on:
Blocks: 76778 84457
  Show dependency treegraph
 
Reported: 2012-05-30 10:22 PDT by Balazs Kelemen
Modified: 2012-06-12 08:49 PDT (History)
8 users (show)

See Also:


Attachments
Patch (87.26 KB, patch)
2012-05-31 07:52 PDT, Balazs Kelemen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Balazs Kelemen 2012-05-30 10:22:41 PDT
The goal is to be able to use v8 in WebKit2 without the need to fork the InjectedBundle (of WTR).
Comment 1 Balazs Kelemen 2012-05-31 07:52:59 PDT
Created attachment 145093 [details]
Patch
Comment 2 Alexey Proskuryakov 2012-05-31 08:48:57 PDT
This is part of "make WebKit2 work with v8" project that has not been accepted on webkit-dev. Why is it ok to post this for review?
Comment 3 Balazs Kelemen 2012-05-31 09:00:27 PDT
(In reply to comment #2)
> This is part of "make WebKit2 work with v8" project that has not been accepted on webkit-dev. Why is it ok to post this for review?

It has not been rejected unambiguously as well. I finished implementing this so the community can at least see how it looks like. It's better to decide on something that actually exist.
Comment 4 Alexey Proskuryakov 2012-05-31 09:17:42 PDT
That's not how I read the discussion.

Anyway, if this is your goal, I suggest clearing the review flag and posting to webkit-dev again with a link. This patch is not something that should be r+'ed and landed without community buy-in.
Comment 5 Balazs Kelemen 2012-05-31 09:39:54 PDT
(In reply to comment #4)
> That's not how I read the discussion.
> 
> Anyway, if this is your goal, I suggest clearing the review flag and posting to webkit-dev again with a link. This patch is not something that should be r+'ed and landed without community buy-in.

Mail sent. I would better like to keep the r? because otherwise nobody will notice the patch (according to my experiences).
Comment 6 Adam Barth 2012-05-31 10:51:33 PDT
This wrapper looks like it's pretty slow.  Have you benchmarked it?
Comment 7 Balazs Kelemen 2012-06-01 11:32:53 PDT
(In reply to comment #6)
> This wrapper looks like it's pretty slow.  Have you benchmarked it?

Not yet. Considering that the wrapper is only taking part in binding layouttestcontroller and friends to the js environment I don't really care about speed. Note that the actual script execution is happening in WebCore, not WebKit2. Most of the js related thinks in WebKit2 are just for serving the needs of the injected bundle. As long as a test session does not takes considerably more time than before, I don't think we should worry about speed.
Comment 8 Alexey Proskuryakov 2012-06-05 00:00:58 PDT
WONTFIX per complete lack of buy-in on webkit-dev.